# Generated by Django 4.1.8 on 2023-07-23 00:31

import modelcluster.contrib.taggit
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("shared", "0003_initial"),
        ("district", "0118_districtarticlepage_shared_from"),
    ]

    operations = [
        migrations.AddField(
            model_name="districtarticlepage",
            name="shared_tags",
            field=modelcluster.contrib.taggit.ClusterTaggableManager(
                blank=True,
                help_text="A comma-separated list of tags.",
                through="shared.SharedTaggedDistrictArticle",
                to="shared.SharedTag",
                verbose_name="Tagy pro sdílení mezi weby",
            ),
        ),
        migrations.AddField(
            model_name="districtarticlepage",
            name="shared_type",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="districtarticlespage",
            name="shared_tags",
            field=modelcluster.fields.ParentalManyToManyField(
                blank=True,
                help_text="Pro výběr jednoho tagu klikněte na tag a uložte nebo publikujte stránku. Pro výběr více tagů využijte podržte Ctrl a vyberte příslušné tagy.",
                to="shared.sharedtag",
                verbose_name="Výběr tagů pro články sdílené mezi sítěmi",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="shared_tags",
            field=modelcluster.fields.ParentalManyToManyField(
                blank=True,
                help_text="Pro výběr jednoho tagu klikněte na tag a uložte nebo publikujte stránku. Pro výběr více tagů využijte podržte Ctrl a vyberte příslušné tagy.",
                to="shared.sharedtag",
                verbose_name="Výběr tagů pro články sdílené mezi sítěmi",
            ),
        ),
    ]
